Your message dated Sun, 04 Feb 2018 22:28:19 +0000
with message-id <e1eisln-0003jf...@fasolo.debian.org>
and subject line Bug#870556: fixed in lua-zip 1.2.3-12.1
has caused the Debian Bug report #870556,
regarding lua-zip: hardcoded Pre-Depends on multiarch-support
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
870556: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=870556
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: lua-zip
Version: 1.2.3-12
Tags: sid buster patch
User: debian-gl...@lists.debian.org
Usertags: multiarch-support-removal

Dear Maintainer,

The multiarch-support package has been introduced with squeeze so that
packages using the multiarch libraries can Pre-Depends on it to make
sure the multiarch path ares supported by the dynamic linker. As
dist-upgrades from such a distant release are not supported, the
Pre-Depends can now be dropped and then the package removed from the
archive.

Most of the packages added this Pre-Depends through debhelper and the
misc:Pre-Depends substvar, so a change in debhelper [1] was enough to
get rid of it. However it appears that your package uses a hardcoded
Pre-Depends, thus it needs to be removed manually. You will find a
patch attached to do so.

Please apply it as soon as possible as the multiarch-support package
will be removed from the archive for buster. Failing to do so will 
therefore make your package uninstallable. In case you don't have
time to do so, don't hesitate to ask for a NMU.

Thanks,
Aurelien

[1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=783898
diff -Nru lua-zip-1.2.3/debian/control lua-zip-1.2.3/debian/control
--- lua-zip-1.2.3/debian/control	2013-08-15 10:07:12.000000000 +0000
+++ lua-zip-1.2.3/debian/control	2017-08-02 19:32:24.000000000 +0000
@@ -11,7 +11,7 @@
 Package: lua-zip
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
@@ -22,7 +22,7 @@
 Package: lua-zip-dev
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: lua-zip (= ${binary:Version}), ${misc:Depends}
 Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}

--- End Message ---
--- Begin Message ---
Source: lua-zip
Source-Version: 1.2.3-12.1

We believe that the bug you reported is fixed in the latest version of
lua-zip, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 870...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aure...@debian.org> (supplier of updated lua-zip package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 20 Jan 2018 22:11:41 +0100
Source: lua-zip
Binary: lua-zip lua-zip-dev
Architecture: source
Version: 1.2.3-12.1
Distribution: unstable
Urgency: medium
Maintainer: Enrico Tassi <gareuselesi...@debian.org>
Changed-By: Aurelien Jarno <aure...@debian.org>
Description:
 lua-zip    - zip library for the Lua language
 lua-zip-dev - zip development files for the Lua language
Closes: 870556
Changes:
 lua-zip (1.2.3-12.1) unstable; urgency=medium
 .
   * Non-maintainer upload.
   * debian/control: Drop explicit Pre-Depends on multiarch-support
     (Closes: #870556).
Checksums-Sha1:
 ccb51d589ef27b634e56a067d4ced51e7d3e6f04 1960 lua-zip_1.2.3-12.1.dsc
 34df6a825ad1525cabef1732863fdc48eaf2193e 2972 lua-zip_1.2.3-12.1.debian.tar.xz
 de3f96b6018f76d9bde6fc99e4c6d6e039d94473 5867 
lua-zip_1.2.3-12.1_source.buildinfo
Checksums-Sha256:
 11c87847e76dd86cbfcff73659ca106cec1e81b4315999d15e3c7ec027f4c278 1960 
lua-zip_1.2.3-12.1.dsc
 706dff4cab317a1b469dbb37de13347d5c9d287fa2b6f46cb0eba31a67fc0776 2972 
lua-zip_1.2.3-12.1.debian.tar.xz
 b044ebbba86ff9721c7ccf937d5450600a9ee797f29ecc943c1cd4184bc34bc5 5867 
lua-zip_1.2.3-12.1_source.buildinfo
Files:
 33f2e5659a8d388b2b801576d29557b3 1960 interpreters optional 
lua-zip_1.2.3-12.1.dsc
 7b78d99f2fe8ee0b8dd62101fd44f9d9 2972 interpreters optional 
lua-zip_1.2.3-12.1.debian.tar.xz
 919aef1e9b396dc9cfcabc37b7a9b53c 5867 interpreters optional 
lua-zip_1.2.3-12.1_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEd0YmQqnvlP0Pdxltupx4Bh3djJsFAlpjsP0ACgkQupx4Bh3d
jJuZMBAAsu4pIRjnejmSrJjUxlJ8VuEzTJeJm3sAC/WmUMMhMsrFY8WN0Nh4ec4O
74HBU0x4Ex6EAhhRAj3sBHpy9KRxYVXDqz7l+Y3JrjU7FHjrUrTJ4984+wVOFsvB
0GH+C2RbZqEVuI7AHmJBbSnIh17D1KOyX14DogSLiyV43qZsYi2+r00T0yvI02si
ibev5H9xZEHbzQY7mLFj8iU1kwGoAIgoJ9cHpDYO067PyPSNocSqibSYUtzKQMDv
gj0HpTb4vmdJ+AWh/UaDIPehAtztH47+jqvBFQZO7fDKwYkKgKpwRWaviVR5RYFs
Jzoxa4/Ghz5wua7h2Nfd9PQaNT1pohDVoqOerqY9DJEnGtuBsxIlqge23PSRGatC
TUMbdMNA98tdQGY0Tp0dcJf+Amqo2T4jk90CVFiXkKgLGiqulPlYL9sgBqr/M9Xg
1cS7P3qn74BVkE+VKRoWUi5sSGJlg07oFbhNZ0e3zJe9nwbzn9XstlTMJepOPgXx
I3pOw2U/So1gYnthmbN7DwbxIYzoCbz0eViIzl2Z4v6dA5sYXxx2IaoZpeXrelDE
eYb6tuppKWqEeND6jf0eGMYA7uNytNGsc6H3D7z2cG7RMIus9qL4m9+uwAHnNcb6
PCLmsZusuEHAAcwgtt8wekWdkhVaigDBMHCU1qK5DJmjgxCYgj4=
=Zp+0
-----END PGP SIGNATURE-----

--- End Message ---

Reply via email to